include ../../common.mk

COMMON_DIR1 := ../../common
COMMON_DIR2 := ../common

SRCS := $(wildcard $(COMMON_DIR1)/*.cpp) $(wildcard $(COMMON_DIR2)/*.cpp)
OBJS := $(patsubst %.cpp, %.o, $(SRCS))
CUDA_SRCS := $(wildcard *.cu)
CUDA_OBJS := $(patsubst %.cu, %.o, $(CUDA_SRCS))

all: $(EXEC)
$(EXEC) : $(OBJS) $(CUDA_OBJS)
	nvcc $(GPU_CARD) -o $@ $(OBJS) $(CUDA_OBJS)

%.o : %.cpp
	nvcc $(GPU_CARD) $(NVCC_FLAGS) $(CFLAGS) -I $(COMMON_DIR1) -o $@ $<

%.o : %.cu
	nvcc $(GPU_CARD) $(NVCC_FLAGS) $(CFLAGS) -I $(COMMON_DIR2),$(COMMON_DIR1) -o $@ $<

clean:
	rm -f $(OBJS) $(CUDA_OBJS) $(EXEC)
